Docs
Product Repository APICustomer Specific Assignment Rule

Delete a customer specific assignment ruleBeta

Security groups:Rule Engineers
DELETE
/assignments/csars/{id}

Deletes the customer specific assignment rule with the given ID.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The unique identifier of the Customer Specific Assignment Rule. Must be a valid UUID.

FormatUUID

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/assignments/csars/string"
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}